=== debian/changelog ===
ffmpeg (7:4.1.11-0+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release (CVE-2022-3109, CVE-2022-3341).

 -- Sylvain Beucler <beuc@debian.org>  Tue, 13 Jun 2023 10:16:38 +0200
