=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  https://ffmpeg.org/releases/ffmpeg-(4.1.[0-9.]+)\.tar\.xz
