## ffmpeg 4.2.1

=== debian/changelog ===
ffmpeg (7:4.2.1-2) unstable; urgency=medium

  * d/patches:
    - avcodec/libtwolame: fix mono default bitrate. (Closes: #943900)
  * d/tests:
    - Replace remaining occurrences of ADTTMP.

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Nov 2019 01:17:31 +0000

ffmpeg (7:4.2.1-1) unstable; urgency=medium

  * New upstream release.
    - avcodec/vqavideo: Set video size. (CVE-2019-17542)
    - avcodec/utils: Check close before calling it. (CVE-2019-17539)

  * d/copyright: Various copyright updates for 4.2.
  * d/patches: Add patch to fix sbcenc segfault on armhf.
  * d/rules:
    - Enable libartbb24.
    - Disable MSA2.
    - Update list of non-enabled libraries.
  * d/*.symbols: Updates for 4.2.
  * d/tests: Update encdec lists with 4.2 additions.

 -- James Cowgill <jcowgill@debian.org>  Mon, 28 Oct 2019 18:14:56 +0000
