=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  James Cowgill <jcowgill@debian.org>
 Rules-Requires-Root: no
 Homepage: https://ffmpeg.org/
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/ffmpeg.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/ffmpeg
 Build-Depends-Indep:
@@ -18,10 +18,12 @@
 # Autogenerated documentation
  doxygen,
 # needed to create the CSS files for the HTML manuals
- node-less
+ node-less,
+# generates top level manual page listing
+ tree,
 Build-Depends:
 # needed for dh
- debhelper (>= 11~),
+ debhelper-compat (= 11),
 # for build-profile support
  dpkg-dev (>= 1.17.14),
 # --enable-libflite
@@ -32,6 +34,8 @@
  ladspa-sdk,
 # --enable-libaom
  libaom-dev,
+# --enable-libaribb24
+ libaribb24-dev,
 # --enable-libass
  libass-dev,
 # --enable-libbluray
@@ -48,8 +52,6 @@
  libchromaprint-dev <!pkg.ffmpeg.stage1>,
 # --enable-libcodec2
  libcodec2-dev,
-# autodetected 'crystalhd'
- libcrystalhd-dev [amd64 i386],
 # --enable-libdc1394
  libdc1394-22-dev [linux-any],
 # --enable-libdrm
@@ -275,6 +277,7 @@
  This package replaces the libavcodec58 package and contains the
  following additional codecs:
  .
+  * ARIB STD-B24 Captions (Subtitle Decoder)
   * OpenCORE Adaptive Multi-Rate (AMR) Narrow-Band (Encoder/Decoder)
   * OpenCORE Adaptive Multi-Rate (AMR) Wide-Band (Decoder)
   * Android VisualOn Adaptive Multi-Rate (AMR) Wide-Band (Encoder)
@@ -383,4 +386,3 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Description: FFmpeg library containing media filters - runtime files
- FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
